Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.accessibility
Interface AccessibleValue

All Known Implementing Classes:
  AbstractButton.AccessibleAbstractButton, Button.AccessibleAWTButton, Checkbox.AccessibleAWTCheckbox, CheckboxMenuItem.AccessibleAWTCheckboxMenuItem, JButton.AccessibleJButton, JCheckBox.AccessibleJCheckBox, JCheckBoxMenuItem.AccessibleJCheckBoxMenuItem, JInternalFrame.AccessibleJInternalFrame, JInternalFrame.JDesktopIcon.AccessibleJDesktopIcon, JMenu.AccessibleJMenu, JMenuItem.AccessibleJMenuItem, JProgressBar.AccessibleJProgressBar, JRadioButton.AccessibleJRadioButton, JRadioButtonMenuItem.AccessibleJRadioButtonMenuItem, JScrollBar.AccessibleJScrollBar, JSlider.AccessibleJSlider, JSpinner.AccessibleJSpinner, JSplitPane.AccessibleJSplitPane, JToggleButton.AccessibleJToggleButton, Menu.AccessibleAWTMenu, MenuItem.AccessibleAWTMenuItem, PopupMenu.AccessibleAWTPopupMenu, Scrollbar.AccessibleAWTScrollBar

    public interface AccessibleValue

The AccessibleValue interface should be supported by any object that supports a numerical value (e.g., a scroll bar). This interface provides the standard mechanism for an assistive technology to determine and set the numerical value as well as get the minimum and maximum values. Applications can determine if an object supports the AccessibleValue interface by first obtaining its AccessibleContext (see `Accessible`) and then calling the `AccessibleContext.getAccessibleValue()` method. If the return value is not null, the object supports this interface.

See Also:
  `Accessible`, `Accessible.getAccessibleContext()`, `AccessibleContext`, `AccessibleContext.getAccessibleValue()`

Method Summary
`Number` | `getCurrentAccessibleValue()` Get the value of this object as a Number.
`Number` | `getMaximumAccessibleValue()` Get the maximum value of this object as a Number.
`Number` | `getMinimumAccessibleValue()` Get the minimum value of this object as a Number.
`boolean` | `setCurrentAccessibleValue(Number n)` Set the value of this object as a Number.

Method Detail

### getCurrentAccessibleValue

    Number getCurrentAccessibleValue()

  Get the value of this object as a Number. If the value has not been set, the return value will be null.

  Returns:
    value of the object
  See Also:
    `setCurrentAccessibleValue(java.lang.Number)`

### setCurrentAccessibleValue

    boolean setCurrentAccessibleValue(Number n)

  Set the value of this object as a Number.

  Returns:
    True if the value was set; else False
  See Also:
    `getCurrentAccessibleValue()`

### getMinimumAccessibleValue

    Number getMinimumAccessibleValue()

  Get the minimum value of this object as a Number.

  Returns:
    Minimum value of the object; null if this object does not have a minimum value
  See Also:
    `getMaximumAccessibleValue()`

### getMaximumAccessibleValue

    Number getMaximumAccessibleValue()

  Get the maximum value of this object as a Number.

  Returns:
    Maximum value of the object; null if this object does not have a maximum value
  See Also:
    `getMinimumAccessibleValue()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.